> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# buildops-master-data

> BuildOps Master Data - customers, employees, addresses, settings

**Server path:** `/buildops-master-data` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                    | Description                                |
| --------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ |
| [`buildops-master-data_batch_activate_employees`](#buildops-master-data_batch_activate_employees)                                       | Batch activate employees                   |
| [`buildops-master-data_batch_create_employees`](#buildops-master-data_batch_create_employees)                                           | Batch create Employees                     |
| [`buildops-master-data_batch_deactivate_employees`](#buildops-master-data_batch_deactivate_employees)                                   | Batch deactivate employees                 |
| [`buildops-master-data_batch_disable_login_for_employees`](#buildops-master-data_batch_disable_login_for_employees)                     | Disable login for employees                |
| [`buildops-master-data_batch_enable_login_for_employees`](#buildops-master-data_batch_enable_login_for_employees)                       | Enable login for employees                 |
| [`buildops-master-data_batch_invite_employees`](#buildops-master-data_batch_invite_employees)                                           | Batch invite employees                     |
| [`buildops-master-data_batch_resent_invite_email_to_employees`](#buildops-master-data_batch_resent_invite_email_to_employees)           | Resend invite emails to employees          |
| [`buildops-master-data_batch_update_employees`](#buildops-master-data_batch_update_employees)                                           | Batch update Employees                     |
| [`buildops-master-data_batch_update_passwords_sync`](#buildops-master-data_batch_update_passwords_sync)                                 | Update passwords                           |
| [`buildops-master-data_batch_update_usernames_or_emails_sync`](#buildops-master-data_batch_update_usernames_or_emails_sync)             | Update usernames or emails                 |
| [`buildops-master-data_delete_v1_customers_id_tags_tag_id`](#buildops-master-data_delete_v1_customers_id_tags_tag_id)                   | Disassociate a Customer Tag for a Customer |
| [`buildops-master-data_fetch_employees_by_email`](#buildops-master-data_fetch_employees_by_email)                                       | Fetch employees by email                   |
| [`buildops-master-data_fetch_employees_by_ids`](#buildops-master-data_fetch_employees_by_ids)                                           | Fetch employees by IDs                     |
| [`buildops-master-data_fetch_sso_status`](#buildops-master-data_fetch_sso_status)                                                       | Get SSO status for employees               |
| [`buildops-master-data_find_by_user_name`](#buildops-master-data_find_by_user_name)                                                     | Find employee by username                  |
| [`buildops-master-data_get_employees_paginated`](#buildops-master-data_get_employees_paginated)                                         | List of Employees                          |
| [`buildops-master-data_get_v1_addresses`](#buildops-master-data_get_v1_addresses)                                                       | Get Addresses List by TenantId             |
| [`buildops-master-data_get_v1_addresses_id`](#buildops-master-data_get_v1_addresses_id)                                                 | Get Address by ID                          |
| [`buildops-master-data_get_v1_customers`](#buildops-master-data_get_v1_customers)                                                       | Get Customers List                         |
| [`buildops-master-data_get_v1_customers_id`](#buildops-master-data_get_v1_customers_id)                                                 | Get Customer by ID                         |
| [`buildops-master-data_get_v1_customers_id_properties`](#buildops-master-data_get_v1_customers_id_properties)                           | Get Properties List by customerId          |
| [`buildops-master-data_get_v1_employees`](#buildops-master-data_get_v1_employees)                                                       | Get Employees List                         |
| [`buildops-master-data_get_v1_employees_employee_id`](#buildops-master-data_get_v1_employees_employee_id)                               | Get Employee by Employee ID                |
| [`buildops-master-data_get_v1_settings_custom_fields_customer_tags`](#buildops-master-data_get_v1_settings_custom_fields_customer_tags) | Get Customer Tags by TenantId              |
| [`buildops-master-data_post_v1_customers`](#buildops-master-data_post_v1_customers)                                                     | Create a customer                          |
| [`buildops-master-data_post_v1_customers_id_tags`](#buildops-master-data_post_v1_customers_id_tags)                                     | Associate Customer Tag to a Customer       |
| [`buildops-master-data_put_v1_addresses`](#buildops-master-data_put_v1_addresses)                                                       | Update Address By Address ID               |
| [`buildops-master-data_put_v1_customers_id`](#buildops-master-data_put_v1_customers_id)                                                 | Update a Customer by ID                    |
| [`buildops-master-data_update_my_password`](#buildops-master-data_update_my_password)                                                   | Update my password                         |

***

## buildops-master-data\_batch\_activate\_employees

Batch activate employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_create\_employees

Batch create Employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "email": {
              "type": "string",
              "description": "Work email of the employee"
            },
            "userName": {
              "type": "string",
              "description": "Identifying userName of Employee"
            },
            "userTitle": {
              "type": "string",
              "description": "Overrides title from Role if not blank"
            },
            "firstName": {
              "type": "string",
              "description": "First Name"
            },
            "lastName": {
              "type": "string",
              "description": "Last Name"
            },
            "appRoleId": {
              "type": "string",
              "format": "uuid",
              "description": "App Role Id"
            },
            "labourRateGroupId": {
              "type": "string",
              "format": "uuid",
              "description": "Labour Rate Group Id"
            },
            "labourTypeId": {
              "type": "string",
              "format": "uuid",
              "description": "Labour Type Id"
            },
            "personalEmail": {
              "type": "string",
              "format": "email",
              "description": "Personal Email"
            },
            "cellPhone": {
              "type": "string",
              "description": "Cell Phone"
            },
            "landlinePhone": {
              "type": "string",
              "description": "Landline Phone"
            },
            "code": {
              "type": "string",
              "description": "The code value"
            },
            "accountingRefId": {
              "type": "string",
              "format": "uuid",
              "description": "Accounting Ref Id"
            },
            "isTech": {
              "type": "boolean",
              "description": "Is Tech"
            },
            "isSales": {
              "type": "boolean",
              "description": "Is Sales"
            },
            "isDispatcher": {
              "type": "boolean",
              "description": "Is Dispatcher"
            },
            "aiOptimizationDisabled": {
              "type": "boolean",
              "description": "Ai Optimization Disabled"
            },
            "departments": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  }
                }
              },
              "description": "The departments value"
            },
            "personnelPayrollHourRates": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "hourTypeId": {
                    "type": "string"
                  },
                  "cost": {
                    "type": "number"
                  }
                }
              },
              "description": "Personnel Payroll Hour Rates"
            },
            "labourRateModifiers": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  }
                }
              },
              "description": "Labour Rate Modifiers"
            },
            "contactAddresses": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "addressLine1": {
                    "type": "string"
                  },
                  "addressLine2": {
                    "type": "string"
                  },
                  "city": {
                    "type": "string"
                  },
                  "state": {
                    "type": "string"
                  },
                  "zipcode": {
                    "type": "string"
                  },
                  "latitude": {
                    "type": "number"
                  },
                  "longitude": {
                    "type": "number"
                  }
                }
              },
              "description": "Contact Addresses"
            },
            "enableMfa": {
              "type": "boolean",
              "description": "Enable Employee-level MFA only if you have MFA set up for the tenant"
            }
          },
          "required": [
            "appRoleId",
            "email",
            "firstName",
            "labourRateGroupId",
            "labourTypeId",
            "lastName",
            "userName"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_deactivate\_employees

Batch deactivate employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_disable\_login\_for\_employees

Disable login for employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_enable\_login\_for\_employees

Enable login for employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_invite\_employees

Batch invite employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_resent\_invite\_email\_to\_employees

Resend invite emails to employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_update\_employees

Batch update Employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "uuid",
              "description": "The id value"
            },
            "firstName": {
              "type": "string",
              "description": "First Name"
            },
            "lastName": {
              "type": "string",
              "description": "Last Name"
            },
            "userTitle": {
              "type": "string",
              "description": "User Title"
            },
            "labourRateGroupId": {
              "type": "string",
              "format": "uuid",
              "description": "Labour Rate Group Id"
            },
            "labourTypeId": {
              "type": "string",
              "format": "uuid",
              "description": "Labour Type Id"
            },
            "departments": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  }
                }
              },
              "description": "The departments value"
            },
            "contactAddresses": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "addressLine1": {
                    "type": "string"
                  },
                  "addressLine2": {
                    "type": "string"
                  },
                  "city": {
                    "type": "string"
                  },
                  "state": {
                    "type": "string"
                  },
                  "zipcode": {
                    "type": "string"
                  },
                  "latitude": {
                    "type": "number"
                  },
                  "longitude": {
                    "type": "number"
                  }
                }
              },
              "description": "Contact Addresses"
            },
            "personalEmail": {
              "type": "string",
              "format": "email",
              "description": "Personal Email"
            },
            "cellPhone": {
              "type": "string",
              "description": "Cell Phone"
            },
            "landlinePhone": {
              "type": "string",
              "description": "Landline Phone"
            },
            "code": {
              "type": "string",
              "description": "The code value"
            },
            "accountingRefId": {
              "type": "string",
              "format": "uuid",
              "description": "Accounting Ref Id"
            },
            "isTech": {
              "type": "boolean",
              "description": "Is Tech"
            },
            "isSales": {
              "type": "boolean",
              "description": "Is Sales"
            },
            "isDispatcher": {
              "type": "boolean",
              "description": "Is Dispatcher"
            },
            "aiOptimizationDisabled": {
              "type": "boolean",
              "description": "Ai Optimization Disabled"
            },
            "enableMfa": {
              "type": "boolean",
              "description": "Enable Mfa"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_update\_passwords\_sync

Update passwords

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "employeeId": {
              "type": "string",
              "format": "uuid",
              "description": "Employee Id"
            },
            "newPassword": {
              "type": "string",
              "description": "New Password"
            }
          },
          "required": [
            "employeeId",
            "newPassword"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_batch\_update\_usernames\_or\_emails\_sync

Update usernames or emails

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "employeeId": {
              "type": "string",
              "description": "Employee Id"
            },
            "newUsername": {
              "type": "string",
              "description": "New username for the employee"
            },
            "newEmail": {
              "type": "string",
              "description": "New work email for the employee"
            }
          },
          "required": [
            "employeeId"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_delete\_v1\_customers\_id\_tags\_tag\_id

Disassociate a Customer Tag for a Customer

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `id`      | string | Yes      | —       | Customer ID |
| `tagId`   | string | Yes      | —       | Tag ID      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Customer ID"
      },
      "tagId": {
        "type": "string",
        "description": "Tag ID"
      }
    },
    "required": [
      "PCID",
      "id",
      "tagId"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_fetch\_employees\_by\_email

Fetch employees by email

**Parameters:**

| Parameter | Type   | Required | Default | Description     |
| --------- | ------ | -------- | ------- | --------------- |
| `email`   | string | Yes      | —       | The email value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "email": {
        "type": "string",
        "description": "The email value"
      }
    },
    "required": [
      "PCID",
      "email"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_fetch\_employees\_by\_ids

Fetch employees by IDs

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_fetch\_sso\_status

Get SSO status for employees

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | string\[] | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_find\_by\_user\_name

Find employee by username

**Parameters:**

| Parameter  | Type   | Required | Default | Description |
| ---------- | ------ | -------- | ------- | ----------- |
| `userName` | string | Yes      | —       | User Name   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "userName": {
        "type": "string",
        "description": "User Name"
      }
    },
    "required": [
      "PCID",
      "userName"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_employees\_paginated

List of Employees

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `page`      | integer   | No       | —       | Page number for pagination          |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `sortBy`    | string    | No       | —       | Sort By                             |
| `sortOrder` | string    | No       | —       | Sort Order                          |
| `filters`   | object\[] | No       | —       | The filters value                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "integer",
        "description": "Page number for pagination"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "sortBy": {
        "type": "string",
        "description": "Sort By"
      },
      "sortOrder": {
        "type": "string",
        "description": "Sort Order"
      },
      "filters": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "STATUS",
                "IS_ACTIVE"
              ],
              "description": "The type value"
            },
            "value": {
              "type": "string",
              "description": "The value value"
            }
          }
        },
        "description": "The filters value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_addresses

Get Addresses List by TenantId

**Parameters:**

| Parameter   | Type    | Required | Default | Description                |
| ----------- | ------- | -------- | ------- | -------------------------- |
| `page`      | number  | No       | —       | Page number for pagination |
| `page_size` | integer | No       | —       | Number of items per page   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items per page"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_addresses\_id

Get Address by ID

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `id`      | string | Yes      | —       | Address ID  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Address ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_customers

Get Customers List

**Parameters:**

| Parameter          | Type    | Required | Default | Description                                                        |
| ------------------ | ------- | -------- | ------- | ------------------------------------------------------------------ |
| `page`             | number  | No       | —       | Page number for pagination                                         |
| `limit`            | integer | No       | —       | Number of items per page                                           |
| `include_inactive` | string  | No       | —       | if true the list will return all customers including inactive ones |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      },
      "limit": {
        "type": "integer",
        "description": "Number of items per page"
      },
      "include_inactive": {
        "type": "string",
        "description": "if true the list will return all customers including inactive ones"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_customers\_id

Get Customer by ID

**Parameters:**

| Parameter | Type   | Required | Default | Description |
| --------- | ------ | -------- | ------- | ----------- |
| `id`      | string | Yes      | —       | Customer ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Customer ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_customers\_id\_properties

Get Properties List by customerId

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                     |
| ------------------- | ------- | -------- | ------- | ----------------------------------------------- |
| `page`              | number  | No       | —       | Page number for pagination                      |
| `page_size`         | integer | No       | —       | Number of items per page                        |
| `include_inactive`  | boolean | No       | —       | Include inactive records in results             |
| `id`                | string  | Yes      | —       | Customer ID                                     |
| `include_addresses` | boolean | No       | —       | Allows to return properties with his addresses. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items per page"
      },
      "include_inactive": {
        "type": "boolean",
        "description": "Include inactive records in results"
      },
      "id": {
        "type": "string",
        "description": "Customer ID"
      },
      "include_addresses": {
        "type": "boolean",
        "description": "Allows to return properties with his addresses."
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_employees

Get Employees List

**Parameters:**

| Parameter          | Type    | Required | Default | Description                         |
| ------------------ | ------- | -------- | ------- | ----------------------------------- |
| `page`             | number  | No       | —       | Page number for pagination          |
| `page_size`        | integer | No       | —       | Number of items per page            |
| `include_inactive` | boolean | No       | —       | Include inactive records in results |
| `name`             | string  | No       | —       | Employee Name                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items per page"
      },
      "include_inactive": {
        "type": "boolean",
        "description": "Include inactive records in results"
      },
      "name": {
        "type": "string",
        "description": "Employee Name"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_employees\_employee\_id

Get Employee by Employee ID

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `employeeId` | string | Yes      | —       | Employee ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "employeeId": {
        "type": "string",
        "description": "Employee ID"
      }
    },
    "required": [
      "PCID",
      "employeeId"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_get\_v1\_settings\_custom\_fields\_customer\_tags

Get Customer Tags by TenantId

**Parameters:**

| Parameter   | Type    | Required | Default | Description                |
| ----------- | ------- | -------- | ------- | -------------------------- |
| `page`      | number  | No       | —       | Page number for pagination |
| `page_size` | integer | No       | —       | Number of items per page   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items per page"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_post\_v1\_customers

Create a customer

**Parameters:**

| Parameter              | Type      | Required | Default | Description           |                       |
| ---------------------- | --------- | -------- | ------- | --------------------- | --------------------- |
| `accountingAttributes` | object    | No       | —       | Accounting Attributes |                       |
| `accountNumber`        | string    | null     | No      | —                     | Account Number        |
| `addresses`            | object\[] | No       | —       | The addresses value   |                       |
| `creditLimit`          | number    | null     | No      | —                     | Credit Limit          |
| `customerNumber`       | string    | null     | No      | —                     | Customer Number       |
| `customerType`         | string    | null     | No      | —                     | Customer Type         |
| `email`                | string    | null     | No      | —                     | The email value       |
| `invoiceDeliveryPref`  | string    | null     | No      | —                     | Invoice Delivery Pref |
| `invoicePresetId`      | string    | null     | No      | —                     | Invoice Preset Id     |
| `isActive`             | boolean   | null     | No      | —                     | Is Active             |
| `isTaxable`            | boolean   | null     | No      | —                     | Is Taxable            |
| `name`                 | string    | Yes      | —       | The name value        |                       |
| `paymentTermId`        | string    | null     | No      | —                     | Payment Term Id       |
| `phoneAlternate`       | string    | null     | No      | —                     | Phone Alternate       |
| `phonePrimary`         | string    | null     | No      | —                     | Phone Primary         |
| `priceBookId`          | string    | null     | No      | —                     | Price Book Id         |
| `receiveSMS`           | boolean   | null     | No      | —                     | Receive SMS           |
| `sameAddress`          | boolean   | null     | No      | —                     | Same Address          |
| `status`               | string    | No       | —       | The status value      |                       |
| `taxCodeId`            | string    | null     | No      | —                     | Tax Code Id           |
| `taxExemptIdValue`     | string    | null     | No      | —                     | Tax Exempt Id Value   |
| `taxRateId`            | string    | null     | No      | —                     | Tax Rate Id           |
| `taxRateValue`         | number    | null     | No      | —                     | Tax Rate Value        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "accountingAttributes": {
        "type": "object",
        "description": "Accounting Attributes",
        "properties": {
          "accountingRefId": {
            "type": "string",
            "description": "Accounting Ref Id"
          },
          "accountingVersion": {
            "type": "string",
            "description": "Accounting Version"
          }
        }
      },
      "accountNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Account Number"
      },
      "addresses": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "uuid",
              "description": "The id value"
            },
            "billTo": {
              "type": "string",
              "description": "Bill To"
            },
            "shipTo": {
              "type": "string",
              "description": "Ship To"
            },
            "addressType": {
              "type": "string",
              "enum": [
                "billingAddress",
                "businessAddress",
                "propertyAddress",
                "shippingAddress"
              ],
              "description": "Address Type"
            },
            "addressLine1": {
              "type": "string",
              "description": "Address Line1"
            },
            "addressLine2": {
              "type": "string",
              "description": "Address Line2"
            },
            "city": {
              "type": "string",
              "description": "The city value"
            },
            "state": {
              "type": "string",
              "description": "The state value"
            },
            "zipcode": {
              "type": "string",
              "description": "The zipcode value"
            },
            "country": {
              "type": "string",
              "description": "The country value"
            },
            "latitude": {
              "type": "string",
              "description": "The latitude value"
            },
            "longitude": {
              "type": "string",
              "description": "The longitude value"
            },
            "status": {
              "type": "string",
              "description": "The status value"
            },
            "isActive": {
              "type": "boolean",
              "description": "Is Active"
            },
            "version": {
              "type": "number",
              "description": "The version value"
            },
            "propertyId": {
              "type": "string",
              "description": "Property Id"
            },
            "customerId": {
              "type": "string",
              "description": "Customer Id"
            },
            "audit": {
              "type": "object",
              "description": "The audit value"
            }
          },
          "required": [
            "addressType"
          ]
        },
        "description": "The addresses value"
      },
      "creditLimit": {
        "type": [
          "number",
          "null"
        ],
        "description": "Credit Limit"
      },
      "customerNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Customer Number"
      },
      "customerType": {
        "type": [
          "string",
          "null"
        ],
        "description": "Customer Type"
      },
      "email": {
        "type": [
          "string",
          "null"
        ],
        "description": "The email value"
      },
      "invoiceDeliveryPref": {
        "type": [
          "string",
          "null"
        ],
        "description": "Invoice Delivery Pref"
      },
      "invoicePresetId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Invoice Preset Id"
      },
      "isActive": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Is Active"
      },
      "isTaxable": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Is Taxable"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "paymentTermId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Payment Term Id"
      },
      "phoneAlternate": {
        "type": [
          "string",
          "null"
        ],
        "description": "Phone Alternate"
      },
      "phonePrimary": {
        "type": [
          "string",
          "null"
        ],
        "description": "Phone Primary"
      },
      "priceBookId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Price Book Id"
      },
      "receiveSMS": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Receive SMS"
      },
      "sameAddress": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Same Address"
      },
      "status": {
        "type": "string",
        "description": "The status value",
        "enum": [
          "active",
          "inactive",
          "disabled"
        ]
      },
      "taxCodeId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Tax Code Id"
      },
      "taxExemptIdValue": {
        "type": [
          "string",
          "null"
        ],
        "description": "Tax Exempt Id Value"
      },
      "taxRateId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Tax Rate Id"
      },
      "taxRateValue": {
        "type": [
          "number",
          "null"
        ],
        "description": "Tax Rate Value"
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_post\_v1\_customers\_id\_tags

Associate Customer Tag to a Customer

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `id`      | string    | Yes      | —       | Customer ID  |
| `body`    | string\[] | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Customer ID"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "uuid"
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_put\_v1\_addresses

Update Address By Address ID

**Parameters:**

| Parameter      | Type    | Required | Default | Description         |
| -------------- | ------- | -------- | ------- | ------------------- |
| `id`           | string  | Yes      | —       | Address ID          |
| `addressLine1` | string  | No       | —       | Address Line1       |
| `addressLine2` | string  | No       | —       | Address Line2       |
| `addressType`  | object  | No       | —       | Address Type        |
| `billTo`       | string  | No       | —       | Bill To             |
| `city`         | string  | No       | —       | The city value      |
| `country`      | string  | No       | —       | The country value   |
| `isActive`     | boolean | No       | —       | Is Active           |
| `latitude`     | string  | No       | —       | The latitude value  |
| `longitude`    | string  | No       | —       | The longitude value |
| `shipTo`       | string  | No       | —       | Ship To             |
| `state`        | string  | No       | —       | The state value     |
| `status`       | string  | No       | —       | The status value    |
| `version`      | number  | No       | —       | The version value   |
| `zipcode`      | string  | No       | —       | The zipcode value   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Address ID"
      },
      "addressLine1": {
        "type": "string",
        "description": "Address Line1"
      },
      "addressLine2": {
        "type": "string",
        "description": "Address Line2"
      },
      "addressType": {
        "description": "Address Type",
        "enum": [
          "billingAddress",
          "propertyAddress",
          "businessAddress",
          "shippingAddress"
        ]
      },
      "billTo": {
        "type": "string",
        "description": "Bill To"
      },
      "city": {
        "type": "string",
        "description": "The city value"
      },
      "country": {
        "type": "string",
        "description": "The country value"
      },
      "isActive": {
        "type": "boolean",
        "description": "Is Active"
      },
      "latitude": {
        "type": "string",
        "description": "The latitude value"
      },
      "longitude": {
        "type": "string",
        "description": "The longitude value"
      },
      "shipTo": {
        "type": "string",
        "description": "Ship To"
      },
      "state": {
        "type": "string",
        "description": "The state value"
      },
      "status": {
        "type": "string",
        "description": "The status value"
      },
      "version": {
        "type": "number",
        "description": "The version value"
      },
      "zipcode": {
        "type": "string",
        "description": "The zipcode value"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_put\_v1\_customers\_id

Update a Customer by ID

**Parameters:**

| Parameter              | Type    | Required | Default | Description                          |                       |
| ---------------------- | ------- | -------- | ------- | ------------------------------------ | --------------------- |
| `id`                   | string  | Yes      | —       | Customer ID                          |                       |
| `accountingAttributes` | object  | No       | —       | Accounting Attributes                |                       |
| `accountNumber`        | string  | null     | No      | —                                    | Account Number        |
| `creditLimit`          | number  | null     | No      | —                                    | Credit Limit          |
| `customerNumber`       | string  | null     | No      | —                                    | Customer Number       |
| `customerType`         | string  | null     | No      | —                                    | Customer Type         |
| `customerTypeValue`    | string  | No       | —       | Deprecated: use customerType instead |                       |
| `email`                | string  | null     | No      | —                                    | The email value       |
| `invoiceDeliveryPref`  | string  | null     | No      | —                                    | Invoice Delivery Pref |
| `invoicePresetId`      | string  | null     | No      | —                                    | Invoice Preset Id     |
| `isActive`             | boolean | null     | No      | —                                    | Is Active             |
| `isTaxable`            | boolean | null     | No      | —                                    | Is Taxable            |
| `name`                 | string  | No       | —       | The name value                       |                       |
| `paymentTermId`        | string  | null     | No      | —                                    | Payment Term Id       |
| `phoneAlternate`       | string  | null     | No      | —                                    | Phone Alternate       |
| `phonePrimary`         | string  | null     | No      | —                                    | Phone Primary         |
| `priceBookId`          | string  | null     | No      | —                                    | Price Book Id         |
| `receiveSMS`           | boolean | null     | No      | —                                    | Receive SMS           |
| `sameAddress`          | boolean | null     | No      | —                                    | Same Address          |
| `status`               | string  | No       | —       | The status value                     |                       |
| `taxCodeId`            | string  | null     | No      | —                                    | Tax Code Id           |
| `taxExemptIdValue`     | string  | null     | No      | —                                    | Tax Exempt Id Value   |
| `taxRateId`            | string  | null     | No      | —                                    | Tax Rate Id           |
| `taxRateValue`         | number  | null     | No      | —                                    | Tax Rate Value        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "Customer ID"
      },
      "accountingAttributes": {
        "type": "object",
        "description": "Accounting Attributes",
        "properties": {
          "accountingRefId": {
            "type": "string",
            "description": "Accounting Ref Id"
          },
          "accountingVersion": {
            "type": "string",
            "description": "Accounting Version"
          }
        }
      },
      "accountNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Account Number"
      },
      "creditLimit": {
        "type": [
          "number",
          "null"
        ],
        "description": "Credit Limit"
      },
      "customerNumber": {
        "type": [
          "string",
          "null"
        ],
        "description": "Customer Number"
      },
      "customerType": {
        "type": [
          "string",
          "null"
        ],
        "description": "Customer Type"
      },
      "customerTypeValue": {
        "type": "string",
        "description": "Deprecated: use customerType instead"
      },
      "email": {
        "type": [
          "string",
          "null"
        ],
        "description": "The email value"
      },
      "invoiceDeliveryPref": {
        "type": [
          "string",
          "null"
        ],
        "description": "Invoice Delivery Pref"
      },
      "invoicePresetId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Invoice Preset Id"
      },
      "isActive": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Is Active"
      },
      "isTaxable": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Is Taxable"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "paymentTermId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Payment Term Id"
      },
      "phoneAlternate": {
        "type": [
          "string",
          "null"
        ],
        "description": "Phone Alternate"
      },
      "phonePrimary": {
        "type": [
          "string",
          "null"
        ],
        "description": "Phone Primary"
      },
      "priceBookId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Price Book Id"
      },
      "receiveSMS": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Receive SMS"
      },
      "sameAddress": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Same Address"
      },
      "status": {
        "type": "string",
        "description": "The status value",
        "enum": [
          "active",
          "inactive",
          "disabled"
        ]
      },
      "taxCodeId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Tax Code Id"
      },
      "taxExemptIdValue": {
        "type": [
          "string",
          "null"
        ],
        "description": "Tax Exempt Id Value"
      },
      "taxRateId": {
        "type": [
          "string",
          "null"
        ],
        "description": "Tax Rate Id"
      },
      "taxRateValue": {
        "type": [
          "number",
          "null"
        ],
        "description": "Tax Rate Value"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## buildops-master-data\_update\_my\_password

Update my password

**Parameters:**

| Parameter     | Type   | Required | Default | Description  |
| ------------- | ------ | -------- | ------- | ------------ |
| `newPassword` | string | Yes      | —       | New Password |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "newPassword": {
        "type": "string",
        "description": "New Password"
      }
    },
    "required": [
      "PCID",
      "newPassword"
    ]
  }
  ```
</Expandable>
